Cancel gumball item request
Builds the transaction withdrawing seller's pending request to add asset to gumballMachine, and returning the item to them.
Authorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/tx/gumball/cancel-add-item-request" \ -H "Content-Type: application/json" \ -d '{ "seller": "string", "gumballMachine": "string", "asset": "string" }'{ "result": { "tx": "string", "setupTx": "string" }}Request gumball item POST
Builds a request, signed by seller, to add asset to another creator's gumballMachine. The item is held as if it were added until the machine's authority approves or rejects the request. Supports the same standards as POST /v2/tx/gumball/add-item.
Remove gumball item POST
Builds the transaction removing an unsold item from gumballMachine and returning it to seller. authority signs, and must be the machine's authority or the item's seller.